Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160330 - Mozilla crashes when reloading release notes
Summary: Mozilla crashes when reloading release notes
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mozilla
Version: 4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard:
: 160856 (view as bug list)
Depends On:
Blocks: 160856
TreeView+ depends on / blocked
 
Reported: 2005-06-14 14:50 UTC by Per Steinar Iversen
Modified: 2007-11-30 22:11 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-22 11:58:32 UTC


Attachments (Terms of Use)
Use proper array template from nsCOMArray (deleted)
2005-06-26 22:43 UTC, Bob Richmond
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 293307 None None None Never

Description Per Steinar Iversen 2005-06-14 14:50:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.8) Gecko/20050514 Fedora/1.7.8-2

Description of problem:
Mozilla crashes just after starting, if the release note page is reloaded.

Version-Release number of selected component (if applicable):
mozilla-1.7.8-2

How reproducible:
Always

Steps to Reproduce:
1. Start mozilla
2. Click reload
3. Mozilla now dies
  

Actual Results:  Mozilla crashed 

Expected Results:  The release notes should have been displayed.

Additional info:

Starting mozilla from gdb, after setting LD_LIBRARY_PATH, MOZILLA_FIVE_HOME and MOZ_PLUGIN_PATH as done in /usr/bin/mozilla the following traceback is displayed:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 46912544475328 (LWP 3143)]
0x00002aaab1dcff0e in NSGetModule () from /usr/lib64/mozilla-1.7.8/components/libimglib2.so

(gdb) bt
#0  0x00002aaab1dcff0e in NSGetModule () from /usr/lib64/mozilla-1.7.8/components/libimglib2.so
#1  0x00002aaab1dcc4ce in NSGetModule () from /usr/lib64/mozilla-1.7.8/components/libimglib2.so
#2  0x00002aaab10f6079 in NSGetModule () from /usr/lib64/mozilla-1.7.8/components/libnecko.so
#3  0x00002aaab10f65ca in NSGetModule () from /usr/lib64/mozilla-1.7.8/components/libnecko.so
#4  0x00002aaab0ad0f35 in nsInputStreamReadyEvent::EventHandler () from /usr/lib64/mozilla-1.7.8/libxpcom.so
#5  0x00002aaab0ae5b19 in PL_HandleEvent () from /usr/lib64/mozilla-1.7.8/libxpcom.so
#6  0x00002aaab0ae62b8 in PL_ProcessPendingEvents () from /usr/lib64/mozilla-1.7.8/libxpcom.so
#7  0x00002aaab0ae7c3b in nsEventQueueImpl::~nsEventQueueImpl$base () from /usr/lib64/mozilla-1.7.8/libxpcom.so
#8  0x00002aaab4e13382 in ?? () from /usr/lib64/mozilla-1.7.8/components/libwidget_gtk2.so
#9  0x00002aaaac04999e in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#10 0x00002aaaac04c644 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#11 0x00002aaaac04cb30 in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
#12 0x00002aaaab3f0a75 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
#13 0x00002aaab4e13790 in ?? () from /usr/lib64/mozilla-1.7.8/components/libwidget_gtk2.so
#14 0x0000000000405e77 in ?? ()
#15 0x000000000040645e in ?? ()
#16 0x00002aaaac9674cc in __libc_start_main () from /lib64/libc.so.6
#17 0x0000000000403269 in ?? ()
#18 0x00007ffffff2ef48 in ?? ()
#19 0x0000000000000000 in ?? ()

Comment 1 Jan "Yenya" Kasprzak 2005-06-15 09:19:02 UTC
I have observed a similar behaviour (both from Mozilla and Galeon), when
clicking to my MRTG graphs. When I click to

http://www.linux.cz/stats/mrtg-rrd/

the page is displayed OK, but when I click to any of the graphs, the browser
crashes. I've tried to run mozilla under GDB, and got a similar trace - SIGSEGV
somewhere in libimglib2.so. Downgrade to mozilla binaries from FC3 updates makes
this problem disappear. My system is also x86_64.

Comment 2 T 2005-06-17 15:49:38 UTC
same here: fresh FC4 x86_64 install

mozilla segfaults on the 2nd or 3rd page visited, or on reload, independent of
page content. No plugins or add-ons.

the gdb backtrace is the same as above, segfault happens somewhere in  libimglib2.so
 
0x00002aaab1dcff0e in NSGetModule () from
/usr/lib64/mozilla-1.7.8/components/libimglib2.so


this makes the 64 bit version of mozilla useless 

T.

Comment 3 Bob Richmond 2005-06-26 22:43:59 UTC
Created attachment 115995 [details]
Use proper array template from nsCOMArray

Comment 4 Bob Richmond 2005-06-26 22:44:44 UTC
I've been bitten by this as well. It's the same upstream bug as:
https://bugzilla.mozilla.org/show_bug.cgi?id=293307

I've attached a backported patch.

Comment 5 Christopher Aillon 2005-06-28 17:40:17 UTC
Thanks for tracking this down.  I'll add the patch to FC4 and rawhide soon.

Comment 6 Dams 2005-07-11 19:44:00 UTC
*** Bug 160856 has been marked as a duplicate of this bug. ***

Comment 7 Dams 2005-07-11 19:45:06 UTC
Chris, this bug is impacting all mozilla, epiphany and galeon.

Comment 8 Christian Iseli 2007-01-22 11:22:18 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 9 Jan "Yenya" Kasprzak 2007-01-22 11:56:28 UTC
In FC6/i386 and x86_64, Galeon works correctly when viewing
http://www.linux.cz/stats/mrtg-rrd/ and
http://fedora.redhat.com/docs/release-notes/fc4/
- so I think the bug has been fixed since then.

Comment 10 T 2007-01-22 16:09:48 UTC
the bug was fixed a long time ago with one of the mozilla updates in FC4.
T.


Note You need to log in before you can comment on or make changes to this bug.